# Method: nodes.nodes.patch

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/patch#body.request_body)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/patch#body.response_body)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/patch#body.aspect)

Updates an existing `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`.

### HTTP request

`PATCH https://sasportal.googleapis.com/v1alpha1/{node.name=nodes/*/nodes/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `node.name` | `string` Output only. Resource name. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Fields to be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/sasportal`